Class | Chef::Provider::Group::Groupmod
In: | lib/chef/provider/group/groupmod.rb
Parent: | Chef::Provider::Group

### Methods

add_group_members create_group load_current_resource manage_group remove_group set_options

### Included Modules

Chef::Mixin::ShellOut

### Public Instance methods

add_group_members(members)

Adds a list of usernames to the group using `user mod`

create_group()

Create the group

load_current_resource()
manage_group()

Manage the group when it already exists

remove_group()

Remove the group

set_options(overwrite_gid=false)

Little bit of magic as per Adam‘s useradd provider to pull and assign the command line flags

#### Returns

<string>: | A string containing the option and then the quoted value

[Validate]